:: Python compatibility check
@echo off

setlocal
pushd "%~dp0\..\.."
set "bin=%cd%"
set "python=%bin%\Python\x32\python.exe"

rem Verify Python can run
"%python%" --version >nul || goto ErrorPythonUnsupported
goto Done

:ErrorPythonUnsupported
rem The Windows installation lacks Windows update KB2999226 needed to run Python
echo.
echo ERROR: Failed to run Python, try installing Windows update KB2999226.
echo NOTE: That update is from October 2015 so this system is SEVERELY outdated
echo.
echo Please stop Auto Mode, exit this script, install the update, and try again.
echo.
echo Press Enter to exit...
pause>nul
if exist "%bin%\..\Installers\Extras\Windows Updates" (
  start "" "explorer.exe"
  start "" "explorer.exe" "%bin%\..\Installers\Extras\Windows Updates"
)

:Done
popd
endlocal
